## org.omg.CORBA
Class ValueMemberHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ValueMemberHelper

public class ValueMemberHelper
extends java.lang.Object

Helper class for : ValueMember

Author:
  OpenORB Compiler

Constructor Summary
`ValueMemberHelper()`

Method Summary
`static ValueMember` `extract(Any a)` Extract ValueMember from an any
`static java.lang.String` `id()` Return the ValueMember IDL ID
`static void` `insert(Any a, ValueMember t)` Insert ValueMember into an any
`static ValueMember` `read(InputStream istream)` Read ValueMember from a marshalled stream
`static TypeCode` `type()` Return the ValueMember TypeCode
`static void` `write(OutputStream ostream, ValueMember value)` Write ValueMember into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueMemberHelper

    public ValueMemberHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ValueMember t)

  Insert ValueMember into an any
  Parameters:
    `a` - an any
    `t` - ValueMember value

### extract

    public static ValueMember extract(Any a)

  Extract ValueMember from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ValueMember value

### type

    public static TypeCode type()

  Return the ValueMember TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ValueMember IDL ID
  Returns:
    an ID

### read

    public static ValueMember read(InputStream istream)

  Read ValueMember from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ValueMember value

### write

    public static void write(OutputStream ostream,
                             ValueMember value)

  Write ValueMember into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ValueMember value